package com.iformall.enums;


/**
 * @author gongbiao
 */

public enum EnumPowerBillBuildWay {

    METER(1, "按电表"),
    PRICE(2, "按固定金额"),;

    public static EnumPowerBillBuildWay getEnum(Integer code) {
        for (EnumPowerBillBuildWay value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumPowerBillBuildWay(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
